changeset 349:798cdf05aca2

The comment removal heuristic breaks on 2.6.25.4 arch/ppc/configs/luan_defconfig and that's crazy, but here's a workaround.
author Rob Landley <rob@landley.net>
date Tue, 10 Jun 2008 22:04:26 -0500
parents d1e73f644c62
children 9db12e74a380
files sources/toys/miniconfig.sh
diffstat 1 files changed, 9 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/sources/toys/miniconfig.sh	Tue Jun 10 20:10:07 2008 -0500
+++ b/sources/toys/miniconfig.sh	Tue Jun 10 22:04:26 2008 -0500
@@ -35,7 +35,16 @@
   diff -u "$1" .config
 fi
 cp .config .big.config
+
+# Speed heuristic: remove all blank/comment lines
 grep -v '^[#$]' .config | grep -v '^$' > mini.config
+# This should never fail, but kconfig is so broken it does sometimes.
+make allnoconfig KCONFIG_ALLCONFIG=mini.config > /dev/null
+if ! cmp .config "$1"
+then
+  echo Insanity test failed: reversing blank line removal heuristic.
+  cp .big.config mini.config
+fi
 #cp .config mini.config
 
 echo "Calculating mini.config..."